declare type CallParam = {
    methodName: string;
    params: string[];
};
interface Props {
    call(callParam: CallParam): Promise<any>;
}
interface MethodProps {
    host?: string;
    port?: string;
    call?(callParam: CallParam): Promise<any>;
}
export declare function GetSnapshot({ call }: Props): JSX.Element;
export declare function GetSnapshotAtHash({ call }: Props): JSX.Element;
export declare function GetSigners({ call }: Props): JSX.Element;
export declare function Proposals({ call }: Props): JSX.Element;
export declare function Propose({ call }: Props): JSX.Element;
export declare function Discard({ call }: Props): JSX.Element;
export declare function Status({ call }: Props): JSX.Element;
export declare function Clique({ call, host, port }: MethodProps): JSX.Element;
export {};
