declare type CallParam = {
    methodName: string;
    params: string[];
};
interface Props {
    call(callParam: CallParam): Promise<any>;
}
interface MethodProps {
    host?: string;
    port?: string;
    call?(callParam: CallParam): Promise<any>;
}
export declare function HTTPServer({ call }: Props): JSX.Element;
export declare function WebSocketServer({ call }: Props): JSX.Element;
export declare function IPCServer({ call }: Props): JSX.Element;
export declare function Json_rpc({ call, host, port }: MethodProps): JSX.Element;
export {};
