declare type CallParam = {
    methodName: string;
    params: string[];
};
interface Props {
    call(callParam: CallParam): Promise<any>;
}
interface MethodProps {
    host?: string;
    port?: string;
    call?(callParam: CallParam): Promise<any>;
}
export declare function Getdashrate({ call }: Props): JSX.Element;
export declare function SetExtra({ call }: Props): JSX.Element;
export declare function SetGasPrice({ call }: Props): JSX.Element;
export declare function Start({ call }: Props): JSX.Element;
export declare function Stop({ call }: Props): JSX.Element;
export declare function SetEtherbase({ call }: Props): JSX.Element;
export declare function Miner({ call, host, port }: MethodProps): JSX.Element;
export {};
