declare type CallParam = {
    methodName: string;
    params: string[];
};
interface Props {
    call(callParam: CallParam): Promise<any>;
}
interface MethodProps {
    host?: string;
    port?: string;
    call?(callParam: CallParam): Promise<any>;
}
export declare function CreateSubscription({ call }: Props): JSX.Element;
export declare function CancelSubscription({ call }: Props): JSX.Element;
export declare function SupportedSubscriptions({ call }: Props): JSX.Element;
export declare function NewPendingTransactions({ call }: Props): JSX.Element;
export declare function Syncing({ call }: Props): JSX.Element;
export declare function Real_time({ call, host, port }: MethodProps): JSX.Element;
export {};
