declare type CallParam = {
    methodName: string;
    params: string[];
};
interface Props {
    call(callParam: CallParam): Promise<any>;
}
interface MethodProps {
    host?: string;
    port?: string;
    call?(callParam: CallParam): Promise<any>;
}
export declare function AddPeer({ call }: Props): JSX.Element;
export declare function Datadir({ call }: Props): JSX.Element;
export declare function NodeInfo({ call }: Props): JSX.Element;
export declare function Peers({ call }: Props): JSX.Element;
export declare function StartRPC({ call }: Props): JSX.Element;
export declare function StartWS({ call }: Props): JSX.Element;
export declare function StopRPC({ call }: Props): JSX.Element;
export declare function StopWS({ call }: Props): JSX.Element;
export declare function Admin({ call, host, port }: MethodProps): JSX.Element;
export {};
