declare type CallParam = {
    methodName: string;
    params: string[];
};
interface Props {
    call(callParam: CallParam): Promise<any>;
}
interface MethodProps {
    host?: string;
    port?: string;
    call?(callParam: CallParam): Promise<any>;
}
export declare function Subscribe({ call }: Props): JSX.Element;
export declare function Unsubscribe({ call }: Props): JSX.Element;
export declare function Etd({ call, host, port }: MethodProps): JSX.Element;
export {};
