declare type CallParam = {
    methodName: string;
    params: string[];
};
interface Props {
    call(callParam: CallParam): Promise<any>;
}
interface MethodProps {
    host?: string;
    port?: string;
    call?(callParam: CallParam): Promise<any>;
}
export declare function Content({ call }: Props): JSX.Element;
export declare function Inspect({ call }: Props): JSX.Element;
export declare function Status({ call }: Props): JSX.Element;
export declare function Txpool({ call, host, port }: MethodProps): JSX.Element;
export {};
